<!DOCTYPE html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width initial-scale=1">
  <title>Present day... present time! AHAHAHAHA</title>
  <link rel="stylesheet" href="./resources/stylesheet.css">
  <link rel="icon" href="./resources/fav.ico">
</head>
<body>
  <?php
    if(!isset($_GET['el']) || $_GET['el'] == 'index') {
      echo('<div style="height: 24vh;"></div>'); }
  ?>
  <a href='index.php' class='logo_link'>
    <div class='logo_group'>
      <h1 class='logo_font'>LAYER-</h1>
      <img src='./resources/img/8_spinning_30fps_bw_shadow.gif' class='logo_gif' alt='8'>
    </div>
  </a>
  
  <ul class='menu_bar'>
    <li><a href='./index.php?el=image'>image</a></li>
    <li><a href='./index.php?el=audio'>audio</a></li>
    <li><a href='./index.php?el=video'>video</a></li>
    <li><a href='./index.php?el=text'>text</a></li>
    <li><a href='./index.php?el=about'>about</a></li>
  </ul>
  <div style='height: 4vh;'></div>
</body>

<div class='big_content'>
  <?php
    require_once('../app/config.php');
    $el = isset($_GET['el']) ? $_GET['el'] : 'index';
      
    switch($el) {
      case 'index':
        break;

      case 'image': 
        include('image.php');
        break;

      case 'audio':
        include('audio.php');
        break;

      case 'video':
        include('video.php');
        break;

      case 'text':
        include('text.php');
        break;

      case 'about':
        include('about.php');
        break;

      default: 
        include('404.php');
        break;  
    }
  ?>
</div>

<?php if(!(!isset($_GET['el']) || $_GET['el'] == 'index')) { echo('<hr style="margin-top: 3rem;">'); } ?>

<footer<?php if(!isset($_GET['el']) || $_GET['el'] == 'index') { echo(' class="footer_spacer"'); } ?>>
  <p class='footer_element'>
    <a href='./index.php?el=legal'>legal information</a>
    <a href='./index.php?el=privacy'>privacy policy</a>
    <a href='./index.php?el=contact'>contact</a>
  </p>
  <p class='footer_element'><a href='https://layer-8.moe/'>layer-8.moe</a> - non-commercial homepage run by a private individual <?php echo date("Y"); ?></p>
  <p class='footer_element'> 
    &nbsp;<a href='https://layer-8.moe/' target='_blank'><img src='./resources/img/site-ad.gif'></a>
    &nbsp;<a href='https://quintern.xyz/' target='_blank'><img src='./resources/img/site-ad-quintern.gif'></a>
    &nbsp;<a href='https://gabrielbecker.com/' target='_blank'><img src='./resources/img/site-ad-gabriel.gif'></a>
  </p>
</footer>
